[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#181591: libc6: /etc/init.d/devpts.sh has an error



Package: libc6
Version: 2.3.1-11
Severity: normal
Tags: patch

The System gives /etc/init.d/rcS: line 17: [: =: unary operator expected
on startup.

this is because a bug in /etc/init.d/devpts.sh

The following patch will fix this.

---Patch---
--- /tmp/devpts.sh	2003-02-19 10:29:55.000000000 +0100
+++ /etc/init.d/devpts.sh	2003-02-19 10:27:43.000000000 +0100
@@ -10,9 +10,9 @@
 #	First find out if devpts is available. Also check if devfs
 #	is already mounted - in that case we don't want to use devpts.
 #
-devpts_avail=`grep -qci '[<[:space:]]devpts' /proc/filesystems || true`
-devpts_mounted=`grep -qci '/dev/pts' /proc/mounts || true`
-devfs_mounted=`grep -qci '[<[:space:]]/dev[>[:space:]].*devfs' /proc/mounts || true`
+devpts_avail=`grep -ci '[<[:space:]]devpts' /proc/filesystems || true`
+devpts_mounted=`grep -ci '/dev/pts' /proc/mounts || true`
+devfs_mounted=`grep -ci '[<[:space:]]/dev[>[:space:]].*devfs' /proc/mounts || true`
 
 if [ $devfs_mounted = 0 ] && [ $devpts_avail != 0 ]
 then
---Patch---

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux baloo 2.4.20 #1 Sat Feb 1 17:48:41 CET 2003 i686
Locale: LANG=de_DE, LC_CTYPE=de_DE (ignored: LC_ALL set)

Versions of packages libc6 depends on:
ii  libdb1-compat                 2.1.3-7    The Berkeley database routines [gl

-- no debconf information




Reply to: